PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.7.0 »
- Goddard Utilities (`pydl.goddard`) »
- flegendre

# flegendre

`pydl.goddard.math.``flegendre`(x, m)

  Compute the first `m` Legendre polynomials.

  Parameters:

  x : array-like

  > Compute the Legendre polynomials at these abscissa values.

  m : `int`

  > The number of Legendre polynomials to compute. For example, if \(m = 3\), \(P_0 (x)\), \(P_1 (x)\) and \(P_2 (x)\) will be computed.

  Returns:

  `numpy.ndarray`

  > The values of the Legendre functions.